UPDATE-TIRFS(8)

NAME
update-tirfs - generate a tiny-initramfs image

SYNOPSIS
update-tirfs [-k kernel-version]

DESCRIPTION
The update-tirfs script generates initramfs images that contains the tiny-initramfs init binary and place them in the standard Debian location so that the boot loader may find them. It will call mktirfs(8) to create the actual image. When called, all initramfs images in /boot for matching kernel versions will be replaced.

Please read /usr/share/doc/tiny-initramfs-core/README.md for an overview of the use cases tiny-initramfs was designed for and the features it supports.

OPTIONS

-k, --kernel-version=kernel-version
    Which kernel version to generate the initramfs image for. By default, the special value all is assumed, which indicates that the initramfs image should be regenerated for all installed kernel versions.

CONFIGURATION

If present, the configuration file /etc/tiny-initramfs/tiny-initramfs.conf can modify the behavior of mktirfs(8) in how the initramfs image is constructed. Please refer to the documentation of the mktirfs utility for details.

EXAMPLE

Update all initramfs images:

        update-tirfs

Update the initramfs image for a specific kernel version:

        update-tirfs -k 4.2.0

DEBIAN MAINTAINER SCRIPTS

Please do not call this utility from Debian maintainer scripts. Use the update-initramfs trigger instead, as that will not depend on the initramfs implementation.

FILES

/etc/tiny-initramfs/tiny-initramfs.conf
    If present, values in there will be used as defaults for the command line arguments of mktirfs.

/usr/share/doc/tiny-initramfs-core/tiny-initramfs.conf.example
    An example configuration file that may be copied to the above location.

SEE ALSO
mktirfs(8)

AUTHORS
Christian Seiler <christian@iwakd.de>